Skip to content

Get customer list by chat_id

GET
/v1/client-by-chat-id
curl --request GET \
--url 'https://api-admin.billz.ai/v1/client-by-chat-id?chat_id=123456789&page=1&limit=10' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

chat_id
string

Telegram chat_id

Example
123456789
page
integer format: int32
default: 1

Page number

limit
integer format: int32
default: 10

Page size

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count

Quantity

integer format: int32
clients

The same set of fields as GET /v1/client: id, external_id, first_name, last_name, middle_name, created_at, birth_date, first_transaction_date, last_transaction_date, balance, cards, company_name, chat_id, phone_numbers, gender

Array<object>
object
id
string
external_id
string
first_name
string
last_name
string
middle_name
string
created_at
string
birth_date
string
first_transaction_date
string
last_transaction_date
string
balance
number
cards
Array<string>
company_name
string
phone_numbers
Array<string>
gender
string
Examplegenerated
{
"count": 1,
"clients": [
{
"id": "example",
"external_id": "example",
"first_name": "example",
"last_name": "example",
"middle_name": "example",
"created_at": "example",
"birth_date": "example",
"first_transaction_date": "example",
"last_transaction_date": "example",
"balance": 1,
"cards": [
"example"
],
"company_name": "example",
"phone_numbers": [
"example"
],
"gender": "example"
}
]
}